Skip to main content
POST
/
testimony
/
id
/
{testimonyId}
/
update
/
case
/
id
/
{caseId}
Update testimony for case
curl --request POST \
  --url https://api-stage.karmacheck.io/testimony/id/{testimonyId}/update/case/id/{caseId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "testimonyTypeId": "19edb27e-5bfd-4c0f-888a-a5130b2f5250",
  "details": {
    "institution": "UCLA",
    "city": "Los Angeles",
    "state": "CA",
    "country": "US",
    "educationType": "College/University",
    "current": false,
    "degree": "B.S.",
    "major": "Nursing",
    "monthBegin": "September",
    "yearBegin": "2015",
    "monthEnd": "May",
    "yearEnd": "2019"
  }
}
'
{
  "id": "83b7eaf3-0409-4863-9709-14e28ab9cfa7"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

testimonyId
string
required

The identifier of the testimony record to update.

caseId
string
required

The identifier of the case that the testimony is attached to.

Body

application/json

To properly update an existing testimony record, the value for testimonyTypeId must be the same as the one used to create the testimony [blocked].

testimonyTypeId
enum<string>
required

The ID of the type of candidate data provided as testimony.

  • Education: 19edb27e-5bfd-4c0f-888a-a5130b2f5250
  • Employment: aa99dc08-0238-4050-9176-bf322e077f71
  • Driver's License: 3d83f3a0-fb6c-4c5a-a4dc-4dbf6a663870
  • Parental Consent: 994bb728-f06d-4e4d-b689-f180adfb6ca5
  • Address: 4143f0d4-4e3d-4ff7-b40a-9a26b569cf32
  • Professional License and Certification: testimony-type-cplc
Available options:
19edb27e-5bfd-4c0f-888a-a5130b2f5250,
aa99dc08-0238-4050-9176-bf322e077f71,
3d83f3a0-fb6c-4c5a-a4dc-4dbf6a663870,
994bb728-f06d-4e4d-b689-f180adfb6ca5,
4143f0d4-4e3d-4ff7-b40a-9a26b569cf32,
testimony-type-cplc
testimonySubType
string

Only required for Professional License and Certification testimony, for which you must provide the cplcId as the testimonySubType. For education testimony, this field must be provided as no-testimony-to-verify if the candidate has no education testimony to verify; this provides a form of candidate affirmation that they have no education history to verify. Simply leaving off any testimony records in such a scenario will require KarmaCheck Customer Success intervention and cause processing delays.

description
string

A free-form description of the testimony. If not provided, one will be automatically generated based on the type and details of the testimony.

details
TestimonyEducation · object

The testimony details when testimonyTypeId is 19edb27e-5bfd-4c0f-888a-a5130b2f5250. Note: Multiple properties are currently optional, but are strongly recommended to be included in requests.

Response

The call was successful, but note the following behavior:

  • If the testimony is not attached to other cases, the record will be updated and the testimonyId returned will be the same as the testimonyId supplied.
  • If the testimony is attached to other cases, the record will be detached from this case, unmodified. Then, a new testimony record will be created with the data in the request and attached to the case. The new record's testimonyId will be in the response, and so it is the caller's responsibility to save and use the new ID as needed. This is because a testimony record become read-only once it's used in the processing of a case.
id
string<uuid>
required

The identifier of the updated or newly created testimony record.